﻿#INCLUDE <hmg.ch>
#INCLUDE <PS_Posoft.ch>

FUNCTION connect2db(GsPathDBName,lCreate)
   LbReturn := .T.
   oDataBase := sqlite3_open(GsPathDBName,lCreate)
   IF Empty( oDataBase )
      MsgInfo("Imposible conectarse a la base de datos"+HB_OSNewLine()+"El sistema se cerrara.")
      QUIT
      RETURN .f.
   ENDIF
RETURN (LbReturn)

FUNCTION sql(dbo1,qstr)
   LOCAL table := {}
   LOCAL currow := nil
   LOCAL TableArr := {}
   LOCAL rowarr := {}
   LOCAL datetypearr := {}
   LOCAL numtypearr := {}
   LOCAL typesarr := {}
   LOCAL current := ""
   LOCAL i := 0
   LOCAL j := 0
   LOCAL type1 := ""
   IF EMPTY (dbo1)
      MSGSTOP ("Database Connection Error!")
      RETURN (TableArr)
   ENDIF
   table := sqlite3_get_table(dbo1,qstr)
   IF sqlite3_errcode(dbo1) > 0 // error
      MSGSTOP(sqlite3_errmsg(dbo1)+" Query is : "+qstr)
      RETURN NIL
   ENDIF
   stmt := sqlite3_prepare(dbo1,qstr)
   IF ! Empty( stmt )
      FOR i := 1 TO sqlite3_column_count( stmt )
         type1 := sqlite3_column_decltype( stmt,i)
//         DO CASE
//            CASE type1 == "INTEGER" .or. type1 == "REAL" .or. type1 == "FLOAT"
//               aadd(typesarr,"N")
//            CASE type1 == "DATE"
//               aadd(typesarr,"D")
//            OTHERWISE
//               aadd(typesarr,"C")
//         ENDCASE
    IF type1 $ "DECIMAL,INTEGER,REAL,FLOAT,DOUBLE"
      AADD( typesarr, "N" )
    ELSEIF type1 $ "TIME"
      AADD( typesarr, "C" )
    ELSEIF type1 $ "DATE,DATETIME"
      AADD( typesarr, "D" )
    ELSEIF type1 == "BOOL"
      AADD( typesarr, "L" )
    ELSE
      AADD( typesarr, "C" )
    ENDIF
      NEXT i
   ENDIF

   sqlite3_reset( stmt )
   IF LEN (table) > 1
   ASIZE (TableArr,0)
   rowarr := table[2]
   FOR i := 2 TO len(table)
      rowarr := table[i]
      FOR j := 1 TO len(rowarr)
         DO CASE
            CASE typesarr[j] == "D"
               cDate := SUBSTR (rowarr[j],1,4)+ SUBSTR (rowarr[j],6,2)+ SUBSTR (rowarr[j],9,2)
               rowarr[j] := stod(cDate)
            CASE typesarr[j] == "N"
               rowarr[j] := val(rowarr[j])
         ENDCASE
      NEXT j
      aadd(tablearr,aclone(rowarr))
   NEXT i
   ENDIF
RETURN (TableArr)

FUNCTION miscsql(dbo1,qstr)
   LOCAL LbReturn := .T.
		sqlite3_exec(dbo1,qstr)
		IF sqlite3_errcode(dbo1) > 0 // error
			MSGSTOP(sqlite3_errmsg(dbo1)+" Error en: "+qstr)
         LbReturn := .F.
		ENDIF
RETURN (LbReturn)

FUNCTION C2SQL(Value)
   LOCAL cFormatoDaData := set(4)
   LOCAL cValue := ""

   DO CASE
      CASE Valtype(Value) == "N"
         cValue := AllTrim(Str(Value))

      CASE Valtype(Value) == "D"
         if !Empty(Value)
            cdate := dtos(Value)
            cValue := "'" + IIF(DAY(Value)<10,'0'+ALLTRIM(STR(DAY(Value))),ALLTRIM(STR(DAY(Value))))+"/"+;
                     IIF(MONTH(Value)<10,'0'+ALLTRIM(STR(MONTH(Value))),ALLTRIM(STR(MONTH(Value))))+"/"+;
                     ALLTRIM(STR(YEAR(Value))) +"'"
           // cValue := "'"+substr(cDate,1,4)+"-"+substr(cDate,5,2)+"-"+substr(cDate,7,2)+"'"
         else
            cValue := "''"
         endif

      CASE Valtype(Value) $ "CM"
         IF Empty( Value)
            cValue="''"
         ELSE
            cValue := "'" + ALLTRIM (Value) + "'"
         ENDIF

      CASE Valtype(Value) == "L"
         cValue := AllTrim(Str(iif(Value == .F., 0, 1)))

      OTHERWISE
         cValue := "''"       // NOTE: Here we lose values we cannot convert
   ENDCASE
return(cValue)

FUNCTION ExistsDataInDB(GsTableName, GsCriterion)
   LsTableName := GsTableName
   LsGsKeyWhere := GsCriterion
   GsRead := "SELECT * FROM &LsTableName &LsGsKeyWhere;"
   aFindItem := sql(oDataBase,GsRead)
RETURN ( IIF ( LEN (aFindItem) > 0 , .T. ,  .F. ) )

FUNCTION SaveData(GsQuery)
RETURN ( miscsql(oDataBase , "BEGIN TRANSACTION;"+GsQuery+";COMMIT;"))

FUNCTION ReadData(Gs_Query_Read)
   IF .NOT. EMPTY(Gs_Query_Read)
      IF .NOT. ConectMe()
			MsgExclamation ("No me pude conectar a la base de datos")
			RETURN NIL
      ELSE
         sql(oDataBase,Gs_Query_Read)
      ENDIF
   ENDIF
RETURN

FUNCTION CreateTable
   IF .NOT. connect2db(GsPathDBName,.T.)
      RETURN NIL
   ELSE
      IF LEN (GsCreateSQL) > 0
         PutMsg("Espere... "+GsTableName)
         IF .NOT. miscsql(oDataBase,GsCreateSQL)
            RETURN NIL
         ENDIF
      ENDIF
   ENDIF
RETURN

FUNCTION CreatIndex
   IF .NOT. connect2db(GsPathDBName,.T.)
      RETURN NIL
   ELSE
      IF LEN (GsCreateIndex) >  0
         //PutMsg("Espere... "+GsTableName)
         IF .NOT. miscsql(oDataBase,GsCreateIndex) ; RETURN NIL ; ENDIF
//         ClearMsg()
      ENDIF
   ENDIF
RETURN

FUNCTION BeforeSave(GsQuery)
   LbReturn := .F.
//   IF ConectMe() .AND. SaveData(GsQuery)
   IF ConectMe() .AND. miscsql(oDataBase , "BEGIN TRANSACTION; "+GsQuery+" ;COMMIT TRANSACTION;")
      LbReturn := .T.
   ENDIF
RETURN (LbReturn)

*------------------------------------------------------------------------------*
  FUNCTION ConectMe
*------------------------------------------------------------------------------*
    PRIVATE LbReturn := .F.
    IF .NOT. connect2db(GsPathDBName,.T.)
      MsgStop ("No me pude conectar a la base de datos")
    ELSE
      LbReturn := .T.
    ENDIF
  RETURN (LbReturn)
RETURN

*------------------------------------------------------------------------------*
FUNCTION TryToLock
*------------------------------------------------------------------------------*
	 LbLockTable := .F.
	 LnCounter := 0
	 DO WHILE LnCounter <= 5000
			IF IsDBLock()
        LbLockTable := .T.
			  EXIT
			ENDIF
			  IF LnCounter = 5000
			    IF MsgYesNo("Base de datos está siendo utilizada por otro usuario" + HB_OSNewLine() + ;
			      "¿Desea intentar de nuevo?","IMPORTANTE")
			      LnCounter := 0
			      LOOP
          ELSE
            EXIT
          ENDIF
			  ENDIF
			LnCounter++
	 ENDDO
RETURN (LbLockTable)

*------------------------------------------------------------------------------*
FUNCTION IsDBLock()
*------------------------------------------------------------------------------*
   LbIsTrue := .F.
	 IF .NOT. FILE(GsRutaDB+"Lock.ps")
			SET PRINTER TO ("Lock.ps")
			SET DEVICE TO PRINT
			SETPRC(0,0)
			@ 1,5 SAY "Company: Posadas Software"
			@ 2,5 SAY "Database status: Database is locked"
			@ 3,5 SAY "Message: You need to wait until the database is released"
      @ 4,5 SAY DATE()
      @ 5,5 SAY TIME()
			SET PRINTER TO
			SET PRINTER OFF
			SET DEVICE TO SCREEN
			LbIsTrue := .T.
	 ELSE
		 LbIsTrue := .F.
	 ENDIF
RETURN( LbIsTrue)


*------------------------------------------------------------------------------*
FUNCTION IsFileLock
*------------------------------------------------------------------------------*
   LbLockTable := .F.
   LnCounter := 0
   DO WHILE LnCounter < 200
      IF LnCounter = 99
         IF MsgYesNo("Base de datos está siendo utilizada por otro usuario o" + HB_OSNewLine() + ;
                     "proceso delicado del sistema" + HB_OSNewLine() + ;
                     "¿Desea intentar de nuevo?","IMPORTANTE")
                     LnCounter := 0
                     LbLockTable := .F.
                     LOOP
         ELSE
            IF .NOT. FILE (GsRutaDB+"Lock.ps")
               MakeFileLock()
               LbLockRecord := .T.
               EXIT
            ENDIF
         ENDIF
      ENDIF
      LnCounter++
   ENDDO
RETURN (LbLockTable)


*------------------------------------------------------------------------------*
PROCEDURE MakeFileLock()
*------------------------------------------------------------------------------*
   SET PRINTER TO (GsRutaDB+"Lock.ps")
   SET DEVICE TO PRINT
   SETPRC(0,0)
   @ 1,5 SAY 'Company: Posadas Software'
   @ 2,5 SAY 'Database status: Database is locked'
   @ 3,5 SAY 'Message: You need to wait until the database is released'
   @ 4,5 SAY DATE()
   @ 5,5 SAY TIME()
   SET PRINTER TO
   SET PRINTER OFF
   SET DEVICE TO SCREEN
RETURN

*--------------------------------------------------------------------------------*
PROCEDURE DeleteFileLock()
*--------------------------------------------------------------------------------*
   IF FILE (GsRutaDB+"Lock.ps")
      ERASE (GsRutaDB+"Lock.ps")
   ENDIF
RETURN NIL
