﻿#INCLUDE <hmg.ch>
#INCLUDE <PS_Posoft.ch>

PROCEDURE CreateSQLDB()
// Si no existe la base de datos entonces la crea junto con las tablas
   GsQuery:= ""
	IF .NOT. FILE(GsRutaDB+"PoloPlast.db")
		CreateSQLTables()   
	ENDIF

RETURN

PROCEDURE CreateSQLTables

// Tabla Propietario
   GsTableName := "Propietario (OWNER)"
   GsCreateSQL := "CREATE TABLE Owner ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Id] INTEGER, "
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Address_1] TEXT , "
   GsCreateSQL += "[Address_2] TEXT, "
   GsCreateSQL += "[Address_3] TEXT, "
   GsCreateSQL += "[Country_Id] INTEGER, "
   GsCreateSQL += "[State_Id] INTEGER, "
   GsCreateSQL += "[City_Id] INTEGER, "
   GsCreateSQL += "[Postal_Code] TEXT, "
   GsCreateSQL += "[Code_Area] TEXT, "
   GsCreateSQL += "[Phone_Office] TEXT, "
   GsCreateSQL += "[Movil] TEXT, "
   GsCreateSQL += "[Fiscal_Id] TEXT, "
   GsCreateSQL += "[HD] TEXT, "
   GsCreateSQL += "[E_mail] TEXT, "
   GsCreateSQL += "[URL] TEXT, "
   GsCreateSQL += "[LOGO_Owner] TEXT, "                    
   GsCreateSQL += "[LOGO_Owner_Partner] TEXT, "
   GsCreateSQL += "[DB_Path_Owner] TEXT, "   
   GsCreateSQL += "[Sales_Serie] TEXT, "
   GsCreateSQL += "[Global_Tax_Percen] NUMERIC(5,2) DEFAULT 0, "
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT ) "

// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
   CreateTable()
//------------------------------------------------------------------------------

// Tabla mensajes de errores  
   GsTableName := "Messenger Error"
   GsCreateSQL := "CREATE TABLE Messenger_Error ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Error_Id] INTEGER, "        
   GsCreateSQL += "[Msg_Type] TEXT, "   
   GsCreateSQL += "[Error_Description] TEXT, "
   GsCreateSQL += "[Language_Id] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 1, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT ) "

// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
   CreateTable() 

// Crea el índice
	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_Error_00 ON "
   GsCreateIndex += "Messenger_Error([Error_Id] ASC)"
	 CreatIndex()
//------------------------------------------------------------------------------
   
// Tabla data access manager
   GsTableName := "Control de accessos a tablas y registros (DAM)"
   GsCreateSQL := "CREATE TABLE DAM ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Key_Code] TEXT , "
   GsCreateSQL += "[Table_Name] TEXT , "
   GsCreateSQL += "[User_Lock] TEXT DEFAULT 'PS' , "
   GsCreateSQL += "[User_Lock_Name] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Date_Lock] TEXT DEFAULT 'PS', " 
   GsCreateSQL += "[Time_Lock] TEXT DEFAULT 'PS', "     
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME,"
   GsCreateSQL += "[Modify_Usr] TEXT ) "

// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
	 CreateTable()

// Crea el índice
	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_DAM_00 ON DAM([Key_Code] ASC)"
	 CreatIndex()   
//------------------------------------------------------------------------------

// Tabla usuarios del sistema
   GsTableName := "Usuarios del sistema (Sys_Users)"
   GsCreateSQL := "CREATE TABLE Sys_Users ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[User_Id] INTEGER DEFAULT 0 , "
   GsCreateSQL += "[User_Login] TEXT DEFAULT '', "
   GsCreateSQL += "[User_Name] TEXT , "
   GsCreateSQL += "[User_Password] TEXT DEFAULT 'PS' , "
   GsCreateSQL += "[Profile_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Option_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Address_1] TEXT , "
   GsCreateSQL += "[Address_2] TEXT, "
   GsCreateSQL += "[Address_3] TEXT, "
   GsCreateSQL += "[State_Id] INTEGER, "
   GsCreateSQL += "[City_Id] INTEGER, "
   GsCreateSQL += "[Postal_Code] TEXT, "
   GsCreateSQL += "[Code_Area] TEXT, "
   GsCreateSQL += "[Phone_Office] TEXT, "
   GsCreateSQL += "[Movil] TEXT, "
   GsCreateSQL += "[Fiscal_Data] TEXT, "
   GsCreateSQL += "[E_mail] TEXT, "
   GsCreateSQL += "[Status_Id] INTEGER DEFAULT 0, "       
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"
                                    
// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
   CreateTable() 

// Crea el índice
	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_User_00 ON "
   GsCreateIndex += "Sys_Users([User_Id] ASC)"
	 CreatIndex()
	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_User_01 ON "
   GsCreateIndex += "Sys_Users([User_Login] ASC)"
	 CreatIndex()                                                           
	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_User_02 ON "
   GsCreateIndex += "Sys_Users([Profile_Id] ASC)"
	 CreatIndex()
	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_User_03 ON "
   GsCreateIndex += "Sys_Users([Option_Id] ASC)"
	 CreatIndex()                                                      
//------------------------------------------------------------------------------

// Tabla Status general 
   GsTableName := "Standard Status"
   GsCreateSQL := "CREATE TABLE Standard_Status ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Standard_Status_Id] INTEGER, " 
   GsCreateSQL += "[Module_Id] INTEGER, "    
   GsCreateSQL += "[Name] TEXT, "
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 1, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
   CreateTable() 
// crea indice 
	 GsCreateIndex := "CREATE INDEX IDX_Standar_Status_00 ON "
   GsCreateIndex += "Standard_Status([Standard_Status_Id] ASC)"
	 CreatIndex()     
//------------------------------------------------------------------------------

// Tabla Modules 
   GsTableName := "Modules"
   GsCreateSQL := "CREATE TABLE Modules ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Module_Id] INTEGER, "   
   GsCreateSQL += "[Name] TEXT, "
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 1, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
   CreateTable() 
   
	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_Modules_00 ON Modules([Module_Id] ASC)"
	 CreatIndex()     
//------------------------------------------------------------------------------

// Tabla Sub Modules 
   GsTableName := "Sub Modules"
   GsCreateSQL := "CREATE TABLE Sub_Modules ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Module_Id] INTEGER, "   
   GsCreateSQL += "[Sub_Module_Id] INTEGER, "
   GsCreateSQL += "[Name] TEXT, "
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 1, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
   CreateTable() 

	 GsCreateIndex := "CREATE INDEX IDX_SubModules_00 ON "
   GsCreateIndex += "Sub_Modules([Module_Id] ASC)"
	 CreatIndex()     
//------------------------------------------------------------------------------ 

// Tabla Menu options  
   GsTableName := "Options"
   GsCreateSQL := "CREATE TABLE Options ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Module_Id] INTEGER, "   
   GsCreateSQL += "[Sub_Module_Id] INTEGER, "
   GsCreateSQL += "[Option_Id] INTEGER, "   
   GsCreateSQL += "[Name] TEXT, "
   GsCreateSQL += "[Function_Name] TEXT, "   
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 1, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
   CreateTable() 

	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_Optionss_00 ON "
   GsCreateIndex += "Options([Option_Id] ASC)"
	 CreatIndex()     
//------------------------------------------------------------------------------  

// Tabla Folio
   GsTableName := "FOLIOS"
   GsCreateSQL := "CREATE TABLE Folios ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Module] Text, "
   GsCreateSQL += "[Key_Code] Text, "   
   GsCreateSQL += "[Last_Number] INTEGER, "
   GsCreateSQL += "[Sequence_Count] INTEGER, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla aqui no hay �ndice ya que es tabla �nica.
   CreateTable()

// Crea el índice
	 GsCreateIndex := "CREATE UNIQUE INDEX IDX_Folios_00 ON Folios([Key_Code] ASC)"
	 CreatIndex()
//------------------------------------------------------------------------------

// Crea tabla de País
   GsTableName := "Paises del mundo terrestre (COUNTRIES)"
   GsCreateSQL := "CREATE TABLE Countries ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Country_Id] INTEGER , "
   GsCreateSQL += "[Country_Cd] TEXT , "
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Currency_Cd] TEXT , "
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla e �ndices.
    CreateTable()
    GsCreateIndex := "CREATE INDEX IDX_Countries_00 ON "
    GsCreateIndex += "COUNTRIES(Country_Id  ASC)"
    CreatIndex()
//------------------------------------------------------------------------------

// Crea tabla de Estados
   GsTableName := "Estados de los paises del mundo terrestre (STATES)"
   GsCreateSQL := "CREATE TABLE States ("
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Country_Id] INTEGER , "
   GsCreateSQL += "[State_Id] INTEGER , "
   GsCreateSQL += "[Country_Cd] TEXT , "
   GsCreateSQL += "[State_Cd] TEXT , "
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla e índices.
    CreateTable()
    GsCreateIndex := "CREATE INDEX IDX_States_00 ON "
    GsCreateIndex += "States([Country_Id] ASC)"
    CreatIndex()
    GsCreateIndex := "CREATE INDEX IDX_States_01 ON "
    GsCreateIndex += "States([State_Id] ASC)"
    CreatIndex()
    GsCreateIndex := "CREATE INDEX IDX_States_03 ON "
    GsCreateIndex += "States([Name] ASC)"
    CreatIndex()
//------------------------------------------------------------------------------

// Crea tabla de Ciudades
   GsTableName := "Ciudades de los estados (CITIES)"
   GsCreateSQL := "CREATE TABLE Cities ("
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Country_Id] INTEGER , "
   GsCreateSQL += "[State_Id] INTEGER , "
   GsCreateSQL += "[City_Id] INTEGER , "
   GsCreateSQL += "[Country_Cd] TEXT , "
   GsCreateSQL += "[State_Cd] TEXT , "
   GsCreateSQL += "[City_Cd] TEXT , "
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla e �ndices.
    CreateTable()  

// Crea los índice.
    GsCreateIndex := "CREATE INDEX IDX_Cities_00 ON Cities([City_Id] ASC)"
    CreatIndex()
    GsCreateIndex := "CREATE INDEX IDX_Cities_01 ON "
    GsCreateIndex += "Cities([Country_Id] ASC, [State_Id]  ASC)"
    CreatIndex()
    GsCreateIndex := "CREATE INDEX IDX_Cities_02_City ON "
    GsCreateIndex += "Cities([Country_Id] ASC, [State_Id]  ASC, [Name] ASC )"
    CreatIndex()
    GsCreateIndex := "CREATE INDEX IDX_Cities_03 ON Cities([Name] ASC)"
    CreatIndex()
//------------------------------------------------------------------------------

// Crea tabla de Monedas
   GsTableName := "Monedas"
   GsCreateSQL := "CREATE TABLE Currencies ("
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Country_Id] INTEGER , "
   GsCreateSQL += "[Currency_Id] INTEGER , "   
   GsCreateSQL += "[Currency_Cd] TEXT , "
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Symbol] TEXT , "
   GsCreateSQL += "[Is_Visible] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS') "

// Se conecta a la base de datos y crea la tabla e �ndices.
    CreateTable()  

// Crea los índice.
    GsCreateIndex := "CREATE INDEX IDX_Currency_00 ON Currencies([Country_Id] ASC)"
    CreatIndex()
    GsCreateIndex := "CREATE INDEX IDX_Currency_01 ON Currencies([Currency_Id] )"
    CreatIndex()
    GsCreateIndex := "CREATE INDEX IDX_Currency_02 ON Currencies([Currency_Cd] )"
    CreatIndex()    
//------------------------------------------------------------------------------

// Crea tabla de Proveedores 
   GsTableName := "Clientes (Provider)"
   GsCreateSQL := "CREATE TABLE Provider ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Provider_Id] INTEGER, "
   GsCreateSQL += "[Name] TEXT  , " 
   GsCreateSQL += "[Address_1] TEXT , "
   GsCreateSQL += "[Address_2] TEXT, "
   GsCreateSQL += "[Address_3] TEXT, "
   GsCreateSQL += "[State_Id] INTEGER, "
   GsCreateSQL += "[City_Id] INTEGER, "
   GsCreateSQL += "[Postal_Code] TEXT, "
   GsCreateSQL += "[Code_Area] TEXT, "
   GsCreateSQL += "[Phone_Office] TEXT, "
   GsCreateSQL += "[Movil] TEXT, "
   GsCreateSQL += "[Fiscal_Id] TEXT, "
   GsCreateSQL += "[Agent_Name] TEXT, " 
   GsCreateSQL += "[Agent_EMail] TEXT, " 
   GsCreateSQL += "[Agent_Movil] TEXT, "
   GsCreateSQL += "[Delivery_Day] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Credit_Day] INTEGER DEFAULT 0, "           
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "   
   GsCreateSQL += "[Standard_Status_Id] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

   // Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
   GsCreateIndex := "CREATE UNIQUE INDEX IDX_Provider_00 ON Provider([Provider_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Provider_01 ON Provider([Name] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Provider_02 ON Provider([State_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Provider_03 ON Provider([City_Id] ASC)"
   CreatIndex()
//------------------------------------------------------------------------------

// Crea tabla de articulos de proveedores  
   GsTableName := "Clientes (Item Provider)"
   GsCreateSQL := "CREATE TABLE Item_Provider ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Provider_Id] INTEGER, "
   GsCreateSQL += "[Item_Cd] TEXT DEFAULT '' ,"
   GsCreateSQL += "[Unit_Measure] TEXT DEFAULT '' , "  
   GsCreateSQL += "[Presentacion] TEXT DEFAULT '' , "   
   GsCreateSQL += "[Tax_Percentage] NUMERIC (5,2) DEFAULT 0, "    
   GsCreateSQL += "[Cost] NUMERIC(8,2) DEFAULT 0, "
   GsCreateSQL += "[Delivery_Day] INTEGER DEFAULT 1, "    
   GsCreateSQL += "[Revision] DEFAULT '', "
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "      
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

   // Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
   GsCreateIndex := "CREATE INDEX IDX_Item_Provider_00 ON Item_Provider([Provider_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Item_Provider_01 ON Item_Provider([Item_Cd] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Item_Provider_02 ON Item_Provider(Provider_Id,Item_Cd ASC)"
   CreatIndex()       
//------------------------------------------------------------------------------
// Crea tabla de Purchase Type
   GsTableName := "Tipo de compra (Purchase Type )"
   GsCreateSQL := "CREATE TABLE Purchase_Type ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Purchase_Type_Id] INTEGER, "
   GsCreateSQL += "[Name] TEXT DEFAULT '', "  
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "      
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

   CreateTable()
   GsCreateIndex := "CREATE UNIQUE INDEX IDX_Purchase_Type_00  ON Purchase_Type([Purchase_Type_Id] ASC)"
   CreatIndex()   
//------------------------------------------------------------------------------

// Crea tabla de Purchase
   GsTableName := "Adquisiciones (Purchase)"
   GsCreateSQL := "CREATE TABLE Purchase ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Purchase_Id] INTEGER, "    
   GsCreateSQL += "[Provider_Id] INTEGER, "       
   GsCreateSQL += "[Purchase_Type_Id] INTEGER, "
   GsCreateSQL += "[Purchase_Status_Id] INTEGER, "     
   GsCreateSQL += "[Purchase_Date] DATE, "
   GsCreateSQL += "[Total_Gross]  NUMERIC (12,2) DEFAULT 0, "
   GsCreateSQL += "[Disct_Percen]  NUMERIC (5,2) DEFAULT 0, "
   GsCreateSQL += "[Total_Discount]  NUMERIC (12,2) DEFAULT 0, "
   GsCreateSQL += "[Total_Tax]  NUMERIC (12,2) DEFAULT 0, " 
   GsCreateSQL += "[Gran_Total]  NUMERIC (12,2) DEFAULT 0, " 
   GsCreateSQL += "[Standard_Status_Id] INTEGER DEFAULT 0, "    
   GsCreateSQL += "[Purchase_Year] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Purchase_Month] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Purchase_Day] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Reference_Payment] TEXT DEFAULT '', "    
   GsCreateSQL += "[Warehouse_Id] INTEGER DEFAULT 0 ,"
   GsCreateSQL += "[Delivery_Day] INTEGER DEFAULT 0 ,"
   GsCreateSQL += "[Due_Date] DATE DEFAULT NULL, "
   GsCreateSQL += "[Credit_Day] INTEGER DEFAULT 0, "  
   GsCreateSQL += "[Note] TEXT DEFAULT '',"
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

   // Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
   GsCreateIndex := "CREATE INDEX IDX_Purchase_00 ON "
   GsCreateIndex += "Purchase([Purchase_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Purchase_02 ON "
   GsCreateIndex += "Purchase([Provider_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Purchase_03 ON "
   GsCreateIndex += "Purchase([Purchase_Date] ASC)"
   CreatIndex()
       
//------------------------------------------------------------------------------
// crea tabla Purchase_Item 
   GsTableName := "Detalle de compra (Purchase_Item)"
   GsCreateSQL := "CREATE TABLE Purchase_Item ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Purchase_Id] INTEGER, "    
   GsCreateSQL += "[Item_Cd] Text DEFAULT '' , "  
   GsCreateSQL += "[Unit_Measure] TEXT DEFAULT '' , "     
   GsCreateSQL += "[Qty_Requested] NUMERIC (9,2) DEFAULT 0, "  
   GsCreateSQL += "[Cost] NUMERIC (9,2) DEFAULT 0, "    
   GsCreateSQL += "[Gross] NUMERIC (12,2) DEFAULT 0, "   
   GsCreateSQL += "[Disct_Percent] NUMERIC (5,2) DEFAULT 0, "  
   GsCreateSQL += "[Disct_Amount] NUMERIC (12,2) DEFAULT 0, "   
   GsCreateSQL += "[Sub_Total] NUMERIC (12,2) DEFAULT 0, "
   GsCreateSQL += "[Tax_Percent] NUMERIC(5,2) DEFAULT 0, "
   GsCreateSQL += "[Total_Tax] NUMERIC (12,2) DEFAULT 0, " 
   GsCreateSQL += "[Total_Item] NUMERIC (12,2) DEFAULT 0, "
   GsCreateSQL += "[Revision] TEXT DEFAULT '', " 
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

   // Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
   GsCreateIndex := "CREATE INDEX IDX_Purchase_Item_00 ON "
   GsCreateIndex += "Purchase_Item([Purchase_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Purchase_Item_02 ON "
   GsCreateIndex += "Purchase_Item([Item_Cd] ASC)"
   CreatIndex()

//------------------------------------------------------------------------------
// Crea tabla de Purchase Info 
GsTableName := "Detalle de compra (Purchase_Message)"
   GsCreateSQL := "CREATE TABLE Purchase_Message ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[PO_Message] TEXT DEFAULT '', "    
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT )"

   // Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
//------------------------------------------------------------------------------

// Crea tabla de articulos
   GsTableName := "Artículos (ITEM)"
   GsCreateSQL := "CREATE TABLE Item( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Item_Cd] TEXT DEFAULT '' ,"
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Group_Id] INTEGER DEFAULT 0, "   
   GsCreateSQL += "[Sub_Group_Id] INTEGER DEFAULT 0, "    
   GsCreateSQL += "[Unit_Measure_Base] TEXT DEFAULT '', "
   GsCreateSQL += "[Using_For] TEXT DEFAULT '', "
   GsCreateSQL += "[Min_Stock] NUMERIC (9,2) DEFAULT 0, "
   GsCreateSQL += "[Max_Stok] NUMERIC (9,2) DEFAULT 0, "
   GsCreateSQL += "[Current_Stock] NUMERIC (9,2) DEFAULT 0, "
   GsCreateSQL += "[Accounting_Num] TEXT DEFAULT '', "       
   GsCreateSQL += "[Warehouse_Place] TEXT DEFAULT '', "
   GsCreateSQL += "[Picture_Path] TEXT DEFAULT '', "       
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 1, "   
   GsCreateSQL += "[Group_Name] BOOLEAN DEFAULT 1, "     
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

// Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
   GsCreateIndex := "CREATE UNIQUE INDEX IDX_ITEM_00 ON Item([Item_Cd] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_ITEM_01 ON Item([Name] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_ITEM_02 ON Item([Group_Id] ASC)"
   CreatIndex()              
   GsCreateIndex := "CREATE INDEX IDX_ITEM_03 ON Item([Sub_Group_Id] ASC)"
   CreatIndex()              
   
//------------------------------------------------------------------------------
// Crea la tabla Kardex 
   GsTableName := "Kardex (KARDEX)"
   GsCreateSQL := "CREATE TABLE Kardex( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Item_Cd] TEXT DEFAULT '' ,"
   GsCreateSQL += "[Kardex_Type_Id] INTEGER , "
   GsCreateSQL += "[Reference] TEXT DEFAULT '', "
   GsCreateSQL += "[Qty] NUMERIC(9,2) DEFAULT 0, "
   GsCreateSQL += "[Stock_Before] NUMERIC (9,2) DEFAULT 0, "
   GsCreateSQL += "[Stock_After] NUMERIC (9,2) DEFAULT 0, "
   GsCreateSQL += "[Cost] NUMERIC (9,2) DEFAULT 0, "       
   GsCreateSQL += "[Total_Cost] NUMERIC (9,2) DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

// Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
   GsCreateIndex := "CREATE UNIQUE INDEX IDX_KARDEX_00 ON Kardex([PS_Id])"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_KARDEX_01 ON Kardex([Item_Cd])"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_KARDEX_02 ON Kardex([Reference])"
   CreatIndex()   
//------------------------------------------------------------------------------
// Crea la tabla Kardex Type 
   GsTableName := "Kardex (KARDEX TYPE)"
   GsCreateSQL := "CREATE TABLE Kardex_Type( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Kardex_Type_Id] INTEGER , "
   GsCreateSQL += "[Name] TEXT DEFAULT '', "
   GsCreateSQL += "[Nature] INTEGER DEFAULT 1, "
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 1, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

// Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
   GsCreateIndex := "CREATE UNIQUE INDEX IDX_KARDEX_TYPE_00 ON Kardex_Type([PS_Id])"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_KARDEX_TYPE_01 ON Kardex_Type([Kardex_Type_Id])"
   CreatIndex()
//------------------------------------------------------------------------------
// Crea tabla de Warehouse 
   GsTableName := "Warehouse (Almacenes)"
   GsCreateSQL := "CREATE TABLE Warehouse ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Warehouse_Id] INTEGER, "
   GsCreateSQL += "[Name] TEXT  , " 
   GsCreateSQL += "[Address_1] TEXT , "
   GsCreateSQL += "[Address_2] TEXT, "
   GsCreateSQL += "[Address_3] TEXT, "
   GsCreateSQL += "[State_Id] INTEGER, "
   GsCreateSQL += "[City_Id] INTEGER, "
   GsCreateSQL += "[Postal_Code] TEXT, "
   GsCreateSQL += "[Code_Area] TEXT, "
   GsCreateSQL += "[Phone_Office] TEXT, "
   GsCreateSQL += "[Fiscal_Id] TEXT, "
   GsCreateSQL += "[In_Charge_Name] TEXT, " 
   GsCreateSQL += "[In_Charge_EMail] TEXT, " 
   GsCreateSQL += "[In_Charge_Movil] TEXT, "        
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "   
   GsCreateSQL += "[Standard_Status_Id] INTEGER DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

   // Se conecta a la base de datos y crea la tabla e �ndices.
   CreateTable()
   GsCreateIndex := "CREATE UNIQUE INDEX IDX_Warehouse_00 ON Warehouse([Warehouse_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Warehouse_01 ON Warehouse([Name] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Warehouse_02 ON Warehouse([State_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Warehouse_03 ON Warehouse([City_Id] ASC)"
   CreatIndex()
//------------------------------------------------------------------------------

// Pay method
   GsTableName := "Metodos de pago PAY_METHOD"
   GsCreateSQL := "CREATE TABLE Pay_Method ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Pay_Method_Id] INTEGER , "
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Prefix]  TEXT , "
   GsCreateSQL += "[Charge_Percent] NUMERIC(5,2) DEFAULT 0, "
   GsCreateSQL += "[Nature] NUMERIC(1,0) DEFAULT 1, "
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS' )"

// Se conecta a la base de datos y crea la tabla e índices.
   CreateTable()
    GsCreateIndex := "CREATE INDEX IDX_Pay_Method_00 ON Pay_Method([Pay_Method_Id] ASC)"
    CreatIndex()
    GsCreateIndex := "CREATE INDEX IDX_Pay_Method_01 ON Pay_Method([Name] ASC)"
    CreatIndex()
//------------------------------------------------------------------------------

// Crea tabla de los pagos de la orden
   GsCreateSQL := "CREATE TABLE Payments ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Pay_Method_Id] INTEGER , "
   GsCreateSQL += "[Work_Order_Id] INTEGER , "
   GsCreateSQL += "[Amount] NUMERIC (8,2) DEFAULT '' , "
   GsCreateSQL += "[Currency_Cd] TEXT , "
   GsCreateSQL += "[Exchange_Rate] NUMERIC(6,3), "
   GsCreateSQL += "[Reference] TEXT DEFAULT '' , "
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS')"

// Se conecta a la base de datos y crea la tabla e índices.
   CreateTable()
   GsCreateIndex := "CREATE INDEX IDX_Payments_00 ON Payments([Work_Order_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Payments_01 ON Payments([Pay_Method_Id] ASC)"
   CreatIndex()
   GsCreateIndex := "CREATE INDEX IDX_Payments_02 ON Payments([Entry_Date] ASC)"
   CreatIndex()
//------------------------------------------------------------------------------

// Crea tabla de grupo de articulos
   GsCreateSQL := "CREATE TABLE Item_Group ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Group_Id] INTEGER , "
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS')"

// Se conecta a la base de datos y crea la tabla e índices.
   CreateTable()
   GsCreateIndex := "CREATE INDEX IDX_Item_Group_00 ON "
   GsCreateIndex += "Item_Group([Group_Id] ASC)"
   CreatIndex()
//------------------------------------------------------------------------------

// Crea tabla de sub grupo de articulos
   GsCreateSQL := "CREATE TABLE Item_Sub_Group ( "
   GsCreateSQL += "[PS_Id] INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, "
   GsCreateSQL += "[Sub_Group_Id] INTEGER , "    
   GsCreateSQL += "[Name] TEXT , "
   GsCreateSQL += "[Is_Visible] BOOLEAN DEFAULT 0, "
   GsCreateSQL += "[Prog_Name] TEXT , "
   GsCreateSQL += "[Sys_User_Id] TEXT DEFAULT 'PS', "
   GsCreateSQL += "[Entry_Date] DATE, "
   GsCreateSQL += "[Entry_Time] TIME, "
   GsCreateSQL += "[Modify_Date] DATE, "
   GsCreateSQL += "[Modify_Time] TIME, "
   GsCreateSQL += "[Modify_Usr] TEXT 'PS')"

// Se conecta a la base de datos y crea la tabla e índices.
   CreateTable()  
   
   GsCreateIndex := "CREATE INDEX IDX_Item_Sub_Group_00 ON "
   GsCreateIndex += "Item_Sub_Group([Sub_Group_Id] ASC)"
   CreatIndex()
//------------------------------------------------------------------------------
   ClearMsg()
    MsgInfo("Se han creado las tablas del sistema.")

 RETURN

