﻿#INCLUDE <hmg.ch>
#INCLUDE "hbver.ch"
#INCLUDE <PS_Posoft.ch>

PROCEDURE PrintPurchase(GnPurchaseId)

PROCEDURE GetPurchaseData2Print 
  QsReadQuery :="SELECT "  
  QsReadQuery +="p.Customer_Id, " 
  QsReadQuery +="cu.Customer_Name, "
  QsReadQuery +="cu.Address_1 AS [cu_ddress1], "
  QsReadQuery +="cu.Address_2 AS [cu_Address2], "
  QsReadQuery +="cus.State_Name AS [cu_State_Name], "
  QsReadQuery +="cuci.City_Name  AS [cu_City_Name], "
  QsReadQuery +="cu.Postal_Code AS [cu.Postal_code], "
  QsReadQuery +="cu.Code_Area AS [cu_Code_Area], "
  QsReadQuery +="cu.Phone_Office AS [cu_Phone_Office], "
  QsReadQuery +="cu.Movil AS [cu.Movil], "
  QsReadQuery +="p.Purchase_Id, "
  QsReadQuery +="p.Equipment_Id, " 
  QsReadQuery +="p.Purchase_Type_Id, " 
  QsReadQuery +="p.Serie_Num, " 
  QsReadQuery +="p.Electrogeno_Gpo, " 
  QsReadQuery +="p.Purchase_Date, "
  QsReadQuery +="p.Address_1, " 
  QsReadQuery +="p.Address_2, " 
  QsReadQuery +="p.State_Id, " 
  QsReadQuery +="p.City_Id, " 
  QsReadQuery +="p.Postal_Code, " 
  QsReadQuery +="p.Phones, " 
  QsReadQuery +="p.Responsable, " 
  QsReadQuery +="p.E_mail, " 
  QsReadQuery +="p.Standard_Status_Id, " 
  QsReadQuery +="IFNULL(ss.Status_Name,'') AS Satus_Name, "
  QsReadQuery +="IFNULL(s.State_Name,'') AS State_Name, " 
  QsReadQuery +="IFNULL(ci.City_Name,'') AS City_Name, " 
  QsReadQuery +="IFNULL(ct.Customer_Type_Name,'') AS Customer_Type_Name, "
  QsReadQuery +="IFNULL(pt.Purchase_Type_Name,'') AS Purchase_Type_Name, " 
  QsReadQuery +="IFNULL(eq.model,'') AS Model "
  QsReadQuery +="FROM Purchase AS p " 
  QsReadQuery +="LEFT JOIN STATES AS s ON s.State_Id = p.State_Id " 
  QsReadQuery +="LEFT JOIN CITIES AS ci ON ci.City_Id = p.City_Id " 
  QsReadQuery +="LEFT JOIN Standard_Status AS ss ON ss.Standard_Status_Id = p.Standard_Status_Id " 
  QsReadQuery +="LEFT JOIN Customer as cu ON cu.Customer_Id = p.Customer_Id " 
  QsReadQuery +="LEFT JOIN STATES AS cus ON cuS.State_Id = cu.State_Id " 
  QsReadQuery +="LEFT JOIN CITIES AS cuci ON cuci.City_Id = cu.City_Id " 
  QsReadQuery +="LEFT JOIN Customer_Type AS ct on ct.Customer_Type_Id = cu.Customer_Type_Id " 
  QsReadQuery +="LEFT JOIN purchase_type AS pt ON pt.Purchase_type_id = p.Purchase_Type_id "
  QsReadQuery +="LEFT JOIN Equipment AS eq ON eq.Equipment_id = p.Equipment_id "
  QsReadQuery +="WHERE p.Purchase_Id = " + C2SQL(GnPurchaseId)
  QsReadQuery +=" ORDER BY p.Equipment_Id "
  IF TryToLock()
    aGetTableData := ReadData (QsReadQuery)
    DeleteFileLock()   
    GoPrintPurchase()
   ENDIF
RETURN

FUNCTION GoPrintPurchase()
  LOCAL LbSuccess := .f.
  GetPurchaseData2Print()
  GnPageNum := 0
  LnLine2Print := 84   
        DocumentName := GsRutaRPT+"Purchase__"+ALLTRIM(STR(aGetTableData[1,11]))
        PutMsg("Espere... buscando registro para su impresion")
        SELECT PRINTER DIALOG  TO LbSuccess PREVIEW
        PAPERSIZE PRINTER_PAPER_LETTER

  IF LbSuccess
    PutMsg("Espere... preparando datos para impresion")
    START PRINTDOC  
    START PRINTPAGE
    FOR d := 1 TO LEN (aGetTableData)
      IF GnPageNum = 0 .OR. LnLine2Print = 200
        PrintHeader(0000)
        PrintHeader(0001)
        LnLine2Print := 84
      ENDIF
      @ LnLine2Print, 12 PRINT aGetTableData[d,31] BOLD SIZE 8
      @ LnLine2Print, 37 PRINT aGetTableData[d,14] BOLD SIZE 8
      @ LnLine2Print, 67 PRINT aGetTableData[d,15] BOLD SIZE 8
      @ LnLine2Print, 115 PRINT aGetTableData[d,30] BOLD SIZE 8       
      @ LnLine2Print, 145 PRINT aGetTableData[d,17] SIZE 8
      
      LnLine2Print := LnLine2Print+4
      @ LnLine2Print, 15 PRINT "Responsable: "+aGetTableData[d,23] SIZE 8
      @ LnLine2Print, 145 PRINT aGetTableData[d,18] SIZE 8
            
      LnLine2Print := LnLine2Print+4
      @ LnLine2Print, 15 PRINT "Correo electronico: "+aGetTableData[d,24] SIZE 8
      @ LnLine2Print, 145 PRINT aGetTableData[d,28] SIZE 8
      
      LnLine2Print := LnLine2Print+4
      @ LnLine2Print, 15 PRINT "Movil: "+aGetTableData[d,22]  SIZE 8            
      @ LnLine2Print, 145 PRINT aGetTableData[d,27]+" CP "+ aGetTableData[d,21]  SIZE 8
      LnLine2Print := LnLine2Print+4
      @ LnLine2Print,10 PRINT LINE TO LnLine2Print, 200 PENWIDTH  .1      
      LnLine2Print := LnLine2Print+4                                    
    NEXT d       
    END PRINTPAGE
    END PRINTDOC
  ELSE
    MsgInfo("Decidiste cancelar la impresión.")
  ENDIF
  ClearMsg()
RETURN