﻿#INCLUDE <hmg.ch>
#INCLUDE "hbver.ch"
#INCLUDE <PS_Posoft.ch>

PROCEDURE PrintPurchaseOrder(PnPurchaseNum)
  PRIVATE LnPurchaseNum := PnPurchaseNum
  PRIVATE LsPOCondition := ""
  //  GsReadQuery += "STRFTIME('%d/%m/%Y',p.Purchase_Date), "
  LoadMyData()
  GsReadQuery := "SELECT p.Purchase_Id, "                             // 1
  GsReadQuery += "p.Provider_Id, "                                    // 2
  GsReadQuery += "p.Purchase_Type_Id, "                               // 3
  GsReadQuery += "p.Purchase_Status_Id, "                             // 4
  GsReadQuery += "STRFTIME('%d/%m/%Y',p.Purchase_Date), "             // 5
  GsReadQuery += "p.Total_Gross, "                                    // 6
  GsReadQuery += "p.Disct_Percen, "                                   // 7
  GsReadQuery += "p.Total_Discount, "                                 // 8
  GsReadQuery += "p.Total_Tax, "                                      // 9
  GsReadQuery += "p.Gran_Total, "                                     // 10
  GsReadQuery += "p.Delivery_Day, "                                   // 11
  GsReadQuery += "p.Standard_Status_Id, "                             // 12
  GsReadQuery += "p.Purchase_Year, "                                  // 13
  GsReadQuery += "p.Purchase_Month, "                                 // 14
  GsReadQuery += "p.Purchase_Day, "                                   // 15
  GsReadQuery += "Reference_Payment, "                                // 16
  GsReadQuery += "po.Name, "                                          // 17
  GsReadQuery += "po.Address_1, "                                     // 18
  GsReadQuery += "po.Address_2, "                                     // 19
  GsReadQuery += "IFNULL(s.Name,'Sin asignar') AS [State_Name], "     // 20
  GsReadQuery += "IFNULL(c.Name,'Sin asignar') AS [City_Name], "      // 21
  GsReadQuery += "po.Postal_Code, "                                   // 22
  GsReadQuery += "pi.Item_Cd, "                                       // 23
  GsReadQuery += "SUBSTR(i.Name,1,40), "                              // 24
  GsReadQuery += "pi.Qty_Requested, "                                 // 25
  GsReadQuery += "pi.Cost, "                                          // 26
  GsReadQuery += "pi.Gross, "                                         // 27
  GsReadQuery += "pi.Disct_Percent, "                                 // 28
  GsReadQuery += "pi.Disct_Amount, "                                  // 29
  GsReadQuery += "pi.Sub_Total, "                                     // 30
  GsReadQuery += "pi.Tax_Percent, "                                   // 31
  GsReadQuery += "pi.Total_Tax, "                                     // 32
  GsReadQuery += "pi.Total_Item, "                                    // 33
  GsReadQuery += "p.Credit_Day, "                                     // 34
  GsReadQuery += "pi.Revision, "                                      // 35
  GsReadQuery += "p.Note, "                                           // 36
  GsReadQuery += "pi.Unit_Measure, "                                  // 37
  GsReadQuery += "STRFTIME('%d/%m/%Y',p.Due_Date), "                  // 38
	GsReadQuery += "STRFTIME('%d',p.Due_Date) AS Day_Due_Date, "       // 39
	GsReadQuery += "STRFTIME('%m',p.Due_Date) AS Month_Due_Date, "     // 40
	GsReadQuery += "STRFTIME('%Y',p.Due_Date) AS Year_Due_Date "       // 41
  GsReadQuery += "FROM Purchase P "
  GsReadQuery += "INNER JOIN Purchase_Item pi ON p.Purchase_id = pi.Purchase_Id "
  GsReadQuery += "INNER JOIN Item i ON i.Item_Cd = pi.Item_Cd "
  GsReadQuery += "INNER JOIN Provider po ON po.Provider_Id = p.Provider_id "
  GsReadQuery += "LEFT JOIN States s ON s.State_Id = po.State_Id "
  GsReadQuery += "LEFT JOIN Cities c ON c.City_Id = po.City_Id "
  GsReadQuery += "WHERE p.Purchase_id = " + C2SQL(LnPurchaseNum)

  IF ConectMe()
    IF TryToLock()
      aPurchaseOrder := sql(oDataBase,GsReadQuery)
      DeleteFileLock()
    ELSE
      RETURN
    ENDIF
  ENDIF

   IF LEN (aPurchaseOrder) = 0
      MsgExclamation ("No hay orden de compra que imprimir.")
      RETURN
   ELSE
    PrintPO()
  ENDIF

PROCEDURE PrintPO
  LOCAL LbSuccess := .f.
  GnPageNum := 0
  LnLine2Print := 84
  DocumentName := GsRutaRPT+"Purchase__"+ALLTRIM(STR(aPurchaseOrder[1,1]))
  PutMsg("Espere... buscando registro para su impresión")
  SELECT PRINTER DIALOG  TO LbSuccess PREVIEW
  PAPERSIZE PRINTER_PAPER_LETTER

  IF LbSuccess
    PutMsg("Espere... preparando datos para impresión")
    START PRINTDOC
    START PRINTPAGE
    FOR d := 1 TO LEN (aPurchaseOrder)
      IF GnPageNum = 0 .OR. LnLine2Print >= 252
        PrintHeader(0001)
        LnLine2Print := 84
      ENDIF

// Imprime el detalle de la orden de compra
      @ LnLine2Print, 15 PRINT TRANSFORM(d,"9999") SIZE 6
      @ LnLine2Print, 22 PRINT ""
      @ LnLine2Print, 35 PRINT aPurchaseOrder[d,23] SIZE 6
      @ LnLine2Print, 50 PRINT aPurchaseOrder[d,35] SIZE 6
      @ LnLine2Print, 65 PRINT TRANSFORM(VAL(aPurchaseOrder[d,25]),"9,999,999.99") SIZE 6
      @ LnLine2Print, 85 PRINT aPurchaseOrder[d,37] SIZE 6
      @ LnLine2Print, 95 PRINT aPurchaseOrder[d,24] SIZE 6
      @ LnLine2Print, 155 PRINT TRANSFORM(VAL(aPurchaseOrder[d,26]),"$9,999,999.99") SIZE 6
      @ LnLine2Print, 172 PRINT TRANSFORM(VAL(aPurchaseOrder[d,27]),"$9,999,999.99") SIZE 6
      @ LnLine2Print, 192 PRINT TRANSFORM(VAL(aPurchaseOrder[d,29]),"$9,999,999.99") SIZE 6
      LnLine2Print := LnLine2Print+4
    NEXT d
// Imprime linea divisoria y cuadro conteniendo la nota de la orden de compra
    LnLine2Print := LnLine2Print + 2
    @ LnLine2Print,10 PRINT LINE TO LnLine2Print, 205 PENWIDTH  .8
    @ LnLine2Print+2,10 PRINT RECTANGLE TO (LnLine2Print+25 ),100 PENWIDTH 0.1 ROUNDED
//    @ LnLine2Print+3,15 PRINT TO (LnLine2Print+13 ),90 aPurchaseOrder[d,36] SIZE 6
    @ LnLine2Print+3,15 PRINT aPurchaseOrder[1,36] TO (LnLine2Print+22 ),80 SIZE 6

// Imprime los totales de la orden de compra
   LnLine2Print := LnLine2Print + 5
   @ LnLine2Print,160 PRINT "SUBTOTAL" BOLD SIZE 7
   @ LnLine2Print,185 PRINT TRANSFORM(VAL(aPurchaseOrder[1,6]),"$999,999,999.99") BOLD SIZE 7
   @ LnLine2Print+4,160 PRINT "DESCUENTO" BOLD SIZE 7
   @ LnLine2Print+4,185 PRINT TRANSFORM(VAL(aPurchaseOrder[1,8]),"$999,999,999.99") BOLD SIZE 7
   @ LnLine2Print+8,160 PRINT "I.V.A." BOLD SIZE 7
   @ LnLine2Print+8,185 PRINT TRANSFORM(VAL(aPurchaseOrder[1,9]),"$999,999,999.99") BOLD SIZE 7
   @ LnLine2PrinT+12,160 PRINT "TOTAL" BOLD SIZE 7
   @ LnLine2Print+12,185 PRINT TRANSFORM(VAL(aPurchaseOrder[1,10]),"$999,999,999.99") BOLD SIZE 7

// Imprime parte última de la orden de compra
    LnLine2Print := LnLine2Print + 40
    @ LnLine2PrinT,15 PRINT  "----------------------------------" SIZE 7
    @ LnLine2PrinT,100 PRINT "----------------------------------" SIZE 7
    @ LnLine2PrinT,160 PRINT "----------------------------------" SIZE 7
    @ LnLine2Print+2,15 PRINT "Elaboró nombre y firma" SIZE 7
    @ LnLine2Print+2,100 PRINT "Vo. Bo. nombre y firma" SIZE 7
    @ LnLine2Print+2,160 PRINT "Autorizó nombre y firma" SIZE 7

// Evalúo el número de la líena ya que si es 252, no podría "entrar" el último
// texto
    LnLine2Print := LnLine2Print + 6
    GetTextFinalPO()
    IF  LnLine2Print >= 252
      PrintHeader(0001)
      @ LnLine2Print+3,20 PRINT LsPOCondition TO LnLine2Print+53,180 size 5
      END PRINTPAGE
      END PRINTDOC
    ELSE
      @ LnLine2Print+3,20 PRINT LsPOCondition TO LnLine2Print+53,180 size 5
    ENDIF

    END PRINTPAGE
    END PRINTDOC
  ELSE
    MsgInfo("Decidiste cancelar la impresión.")
  ENDIF
  ClearMsg()

FUNCTION GetTextFinalPO(LnText)
   LsPOCondition := ""
   GsReadQuery :="SELECT PO_Message FROM Purchase_Message WHERE PS_Id =1"
	IF TryToLock()
	 aGetTableData := ReadData (GsReadQuery)
	 DeleteFileLock()
    LsPOCondition := aGetTableData[1,1]
	ENDIF
RETURN (LsPOCondition)

RETURN

